<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR PENARIKAN SIMPANAN ANGGOTA {{name ? '( ' + name + ' )' : ''}}</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListPinjaman()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3" *ngIf="dataUser.role==='AGT'">
              <button class="btn btn-success pull-right" data-toggle="modal" (click)="gotoNew(1);">
                <i class="icon-plus"></i> Tambah Penarikan</button>
            </div>
            <div class="col-sm-3" *ngIf="dataUser.role!=='AGT'">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3">
                  <label class="col-form-label">Status</label>
                  <select class="form-control selectpicker" (keyup.enter)="doGetListPinjaman()" name="status" title="Pilih Status" [(ngModel)]="statusPengajuan">
                    <option value="NEW">Menunggu Verifikasi HRD</option>
                    <option value="APP">Menunggu Verifikasi Pengawas</option>
                    <option value="VRF">Menunggu Proses Admin</option>
                    <option value="CAN">Batal</option>
                    <option value="CAN-HRD">Ditolak HRD</option>
                    <option value="CAN-PENGAWAS">Ditolak Pengawas</option>
                    <option value="PROC">Selesai</option>
                  </select>
                </div>
                <div class="col-sm-2">
                  <label class="col-form-label">Pencarian </label>
                  <input class="form-control" (keyup.enter)="doGetListPinjaman()" [(ngModel)]="filterText" type="text" placeholder="Pencarian...">
                  <!--<div class="controls">-->
                  <!--<div class="input-group">-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                  <!--<span class="input-group-append">-->
                  <!--<button class="btn btn-success" type="button" (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                  <!--</div>-->
                  <!--</div>-->
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 33px">
                  <button class="btn btn-success btn-block pull-right"  (click)="doGetListPinjaman()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listPengajuan | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <!--<th class="text-center">ID Ajuan</th>-->
              <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalPengajuan')">Tanggal Pengajuan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalPengajuan',
                                    'fa-sort-asc': (column == 'tanggalPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPengajuan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th *ngIf="dataUser.role==='ADM'" class="text-center align-middle" style="width: 10%" (click)="sort('namaPerusahaan')">Nama Perusahaan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaPerusahaan',
                                    'fa-sort-asc': (column == 'namaPerusahaan' && isDesc),
                                    'fa-sort-desc': (column == 'namaPerusahaan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 5%" (click)="sort('simpananPokok')">Penarikan Pokok
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananPokok',
                                    'fa-sort-asc': (column == 'simpananPokok' && isDesc),
                                    'fa-sort-desc': (column == 'simpananPokok' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 5%" (click)="sort('simpananWajib')">Penarikan Wajib
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananWajib',
                                    'fa-sort-asc': (column == 'simpananWajib' && isDesc),
                                    'fa-sort-desc': (column == 'simpananWajib' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 5%" (click)="sort('simpananSukarela')">Penarikan Sukarela
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'simpananSukarela',
                                    'fa-sort-asc': (column == 'simpananSukarela' && isDesc),
                                    'fa-sort-desc': (column == 'simpananSukarela' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 8%" (click)="sort('statusPengajuan')">Status
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'statusPengajuan',
                                    'fa-sort-asc': (column == 'statusPengajuan' && isDesc),
                                    'fa-sort-desc': (column == 'statusPengajuan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 5%" *ngIf="dataUser.role==='AGT'" >Aksi</th>
            </tr>
            </thead>
            <tbody *ngIf="!listPengajuan || listPengajuan.length===0">
            <tr>
              <td colspan="8" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listPengajuan | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <td>{{data.tanggalPengajuan | date: 'dd MMM yyyy'}}</td>
              <td *ngIf="dataUser.role==='ADM'">{{data.namaPerusahaan}}</td>
              <td>{{ data.simpananPokok==='null' ? 0 : data.simpananPokok | number}}</td>
              <td>{{ data.simpananWajib==='null' ? 0 : data.simpananWajib | number}}</td>
              <td>{{ data.simpananSukarela==='null' ? 0 : data.simpananSukarela | number}}</td>
              <td>{{ data.statusPengajuan | statusPengajuan}}
                <br><span *ngIf="dataUser.role === 'PENGAWAS'">Catatan HRD: {{data.catatanHRD ? data.catatanHRD : '-'}}</span>
              </td>
              <td *ngIf="dataUser.role==='AGT'">
                <button [disabled]="data.statusPengajuan!=='NEW'" class="btn btn-danger btn-sm" (click)="confirmModal.show(); setSelectedPengajuan(data)"><i class="fa fa-times"></i> Batal</button>
              </td>
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listPengajuan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>


<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi membatalkan Penarikan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin membatalkan penarikan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>

<div bsModal #uploadModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="uploadModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="fa fa-upload"></i> Upload Dokumen Penarikan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="col-sm-12">
          <!--<label class="col-form-label">Upload Dokumen</label>-->
          <input #file type="file" (change)="onFileChangedDokumen($event.target.files)" >
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="uploadModal.hide()">Batal</button>
        <button type="button" class="btn btn-success" (click)="uploadModal.hide(); doSubmitDokumen()">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>


